Page MenuHomePhabricator

MWExceptionRenderer::getShowBacktraceError() should output a \n on CLI
Closed, ResolvedPublic

Description

		return "Set $vars at the bottom of LocalSettings.php to show detailed debugging information";

which gives it all on one line and so the command prompt appears there...

Set $wgShowExceptionDetails = true; at the bottom of LocalSettings.php to show detailed debugging informationreedy@ubuntu64-web-esxi:~/git/mediawiki/core$

Event Timeline

Reedy created this task.Apr 5 2017, 10:00 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 5 2017, 10:00 PM
Florian claimed this task.Apr 15 2017, 11:02 PM

Change 348312 had a related patch set uploaded (by Florianschmidtwelzow):
[mediawiki/core@master] Add newline character at the end of a debugging line for Cli users

https://gerrit.wikimedia.org/r/348312

Krinkle closed this task as Resolved.Apr 26 2017, 9:26 PM
Krinkle triaged this task as Normal priority.

Change 348312 merged by jenkins-bot:
[mediawiki/core@master] exception: Add newline at the end of a debugging line for CLI users

https://gerrit.wikimedia.org/r/348312

Change 351013 had a related patch set uploaded (by Paladox; owner: Florianschmidtwelzow):
[mediawiki/core@REL1_29] exception: Add newline at the end of a debugging line for CLI users

https://gerrit.wikimedia.org/r/351013

Change 351013 merged by jenkins-bot:
[mediawiki/core@REL1_29] exception: Add newline at the end of a debugging line for CLI users

https://gerrit.wikimedia.org/r/351013